﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SlideShowApp
{
    public partial class SlideShow : UserControl
    {
        public SlideShow()
        {
            InitializeComponent();
            currentPage.Children.Add(new Page1());
            nextPage.Children.Add(new Page2());
        }

        private void UserControl_KeyDown(object sender, KeyEventArgs e)
        {
            forward.Begin();
        }

        private void forward_Completed(object sender, EventArgs e)
        {
            Canvas.SetLeft(currentPage, 0.0d);
            Canvas.SetLeft(spring, 1024.0d);
            Canvas.SetLeft(nextPage, 1024.0d);

            UIElement p1 = currentPage.Children[0];
            UIElement p2 = nextPage.Children[0];

            currentPage.Children.Remove(p1);
            nextPage.Children.Remove(p2);
            currentPage.Children.Add(p2);
            nextPage.Children.Add(p1);
        }

        private void UserControl_LayoutUpdated(object sender, EventArgs e)
        {
            System.Windows.Interop.Content c = Application.Current.Host.Content;
            double w = c.ActualWidth;
            double h = c.ActualHeight;
            double sx = w / 1024.0d;
            double sy = h / 768.0d;
            scale.ScaleX = sx;
            scale.ScaleY = sy;

        }
    }
}
